# $Revision: 1.26 $, $Date: 2008/10/25 16:09:16 $
Summary:	Small HTTP/SSL proxy daemon
Summary(pl.UTF-8):	Mały demon proxy
Name:		tinyproxy
Version:	1.7.0
Release:	2
License:	GPL v2
Group:		Networking/Daemons/HTTP
Source0:	http://dl.sourceforge.net/tinyproxy/%{name}-%{version}.tar.gz
# Source0-md5:	ccacdd9cb093202886b6c7c9e453a804
Source1:	%{name}.init
Patch0:		%{name}-config.patch
URL:		http://tinyproxy.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tinyproxy is a small, efficient HTTP/SSL proxy daemon. Tinyproxy is
very useful in a small network.

%description -l pl.UTF-8
Tinyproxy jest małym, wydajnym demonem proxy HTTP/SSL. Jest bardzo
przydatny w małych sieciach lokalnych.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-transparent-proxy

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man8,%{_sysconfdir}/tinyproxy,/etc/rc.d/init.d,%{_datadir}/%{name}}
install src/tinyproxy $RPM_BUILD_ROOT%{_bindir}
install doc/tinyproxy.8 $RPM_BUILD_ROOT%{_mandir}/man8
install doc/tinyproxy.conf $RPM_BUILD_ROOT%{_sysconfdir}/tinyproxy
install doc/stats.html $RPM_BUILD_ROOT%{_datadir}/%{name}
install doc/default.html $RPM_BUILD_ROOT%{_datadir}/%{name}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/tinyproxy

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add tinyproxy
if [ -f /var/lock/subsys/tinyproxy ]; then
	/etc/rc.d/init.d/tinyproxy restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/tinyproxy start\" to start tinyproxy daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/tinyproxy ]; then
		/etc/rc.d/init.d/tinyproxy stop 1>&2
	fi
	/sbin/chkconfig --del tinyproxy
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%dir %{_sysconfdir}/tinyproxy
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/tinyproxy/tinyproxy.conf
%attr(754,root,root) /etc/rc.d/init.d/tinyproxy
%{_mandir}/man8/tinyproxy*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tinyproxy.spec,v $
Revision 1.26  2008/10/25 16:09:16  blues
- HTTP group

Revision 1.25  2008/04/08 11:40:48  prism
- fix packaging, rel 2

Revision 1.24  2007-10-20 15:04:25  kosmo
- enable transparent-proxy mode

Revision 1.23  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.21  2007/02/10 12:40:24  blues
- pl desc fix

Revision 1.20  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.19  2006/05/22 17:32:22  glen
- deamon->daemon spelling fix

Revision 1.18  2004/11/30 22:00:06  zbyniu
- added PreReq: rc-scripts and Requires(): /sbin/chkconfig for daemon

Revision 1.17  2004/02/05 19:29:20  eothane
- updated to 1.7.0

Revision 1.16  2003/10/23 23:37:20  adamg
- updated to 1.6.2

Revision 1.15  2003/09/09 10:24:57  ankry
- spaces -> tab

Revision 1.14  2003/08/22 15:58:34  ankry
- typo

Revision 1.13  2003/08/22 14:33:25  qboosh
- simplified Source0 URL, formatting

Revision 1.12  2003/08/22 14:28:39  deejay1
- added init script and auto* tools

Revision 1.11  2003/08/22 13:24:45  deejay1
- added patch which fixes default group (s/nogroup/nobody/)
- default behaviour now - don't allow hosts from 192.168.0.0/24
- cosmetics, added TODO

Revision 1.10  2003/08/07 21:14:21  areq
- 1.6.1

Revision 1.9  2003/07/14 21:51:55  areq
- 1.6.0

Revision 1.8  2003/06/22 10:39:47  eothane
- checkpassword-pam.spec

Revision 1.7  2003/05/28 13:02:16  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:27:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2002/12/03 21:35:35  ankry
- cleaning

Revision 1.4  2002/08/09 10:40:41  qboosh
- removed /usr/bin dir from package; release 2
  (note: security hole was in 1.4.x versions, not 1.5.x)

Revision 1.3  2002/08/08 14:39:48  blues
- new doc, typo fixed
- NOTE: there is security hole fixed in debian package...

Revision 1.2  2002/05/19 20:21:10  pioklo
- remove INSTALL from doc

Revision 1.1  2002/05/19 12:09:29  klark
- new PLD spec
